diff -cr sendmail-8.9.0/RELEASE_NOTES sendmail-8.9.1/RELEASE_NOTES
*** sendmail-8.9.0/RELEASE_NOTES	Tue May 19 21:17:28 1998
--- sendmail-8.9.1/RELEASE_NOTES	Thu Jul  2 11:06:17 1998
***************
*** 1,11 ****
  			SENDMAIL RELEASE NOTES
! 	     @(#)RELEASE_NOTES	8.9 (Berkeley) 5/19/98
  
  
  This listing shows the version of the sendmail binary, the version
  of the sendmail configuration files, the date of release, and a
  summary of the changes in that release.
  
  8.9.0/8.9.0	98/05/19
  	SECURITY: To prevent users from reading files not normally
  		readable, sendmail will no longer open forward, :include:,
--- 1,94 ----
  			SENDMAIL RELEASE NOTES
! 	     @(#)RELEASE_NOTES	8.9.1.1 (Berkeley) 7/2/98
  
  
  This listing shows the version of the sendmail binary, the version
  of the sendmail configuration files, the date of release, and a
  summary of the changes in that release.
  
+ 8.9.1/8.9.1	98/07/02
+ 	If both an OS specific site configuration file and a generic
+ 		site.config.m4 file existed, only the latter was used
+ 		instead of both.  Problem noted by Geir Johannessen of
+ 		the Norwegian University of Science and Technology.
+ 	Fix segmentation fault while converting 8 bit to 7 bit MIME
+ 		multipart messages by trying to write to an unopened
+ 		file descriptor.  Fix from Kari Hurtta of the Finnish
+ 		Meteorological Institute.
+ 	Do not assume Message: and Text: headers indicate the end of
+ 		the header area when parsing MIME headers.  Problem noted
+ 		by Kari Hurtta of the Finnish Meteorological Institute.
+ 	Setting the confMAN#SRC Build variable would only effect the
+ 		installation commands.  The man pages would still be
+ 		built with .0 extensions.  Problem noted by Bryan
+ 		Costales of InfoBeat, Inc.
+ 	Installation of manual pages didn't honor the DESTDIR environment
+ 		variable.  Problem noted by Bryan Costales of InfoBeat, Inc.
+ 	If the check_relay ruleset resolved to the discard mailer, messages
+ 		were still delivered.  Problem noted by Mirek Luc of NASK.
+ 	Mail delivery to files would fail with an Operating System Error
+ 		if sendmail was not running as root, i.e. RunAsUser was set.
+ 		Problem noted by Leonard N. Zubkoff of Dandelion Digital.
+ 	Prevent MinQueueAge from interfering from queued items created
+ 		in the future, i.e. if the system clock was set ahead
+ 		and then back.  Problem noted by Michael Miller of the
+ 		University of Natal, Pietermaritzburg.
+ 	Do not advertise ETRN support in ESTMP EHLO reply if noetrn is
+ 		set in the PrivacyFlags option.  Fix from Ted Rule of
+ 		Flextech TV.
+ 	Log invalid persistent host status file lines instead of
+ 		bouncing the message.  Problem noted by David Lindes of
+ 		DaveLtd Enterprises.
+ 	Move creation of empty sendmail.st file from installation to
+ 		compilation.  Installation may be done from a read-only
+ 		mount.  Fix from Bryan Costales of InfoBeat, Inc. and Ric
+ 		Anderson of the Oasis Research Center, Inc.
+ 	Enforce the maximum number of User Database entries limit.  Problem
+ 		noted by Gary Buchanan of Credence Systems Inc.
+ 	Allow dead.letter files in root's home directory.  Problem noted
+ 		by Anna Ullman of Sun Microsystems.
+ 	Program deliveries in forward files could be marked unsafe if
+ 		any directory listed in the ForwardPath option did not
+ 		exist.  Problem noted by Jorg Bielak of Coastal Web Online.
+ 	Do not trust the length of the address structure returned by
+ 		gethostbyname().  Problem noted by Chris Evans of Oxford
+ 		University.
+ 	If the SIZE= MAIL From: ESMTP parameter is too large, use the
+ 		5.3.4 DSN status code instead of 5.2.2.  Similarly, for
+ 		non-local deliveries, if the message is larger than the
+ 		mailer maximum message size, use 5.3.4 instead of 5.2.3.
+ 		Suggested by Antony Bowesman of
+ 		Fujitsu/TeaWARE Mail/MIME System.
+ 	Portability:
+ 		Fix the check for an IP address reverse lookup for
+ 			use in $&{client_name} on 64 bit platforms.
+ 			From Gilles Gallot of Institut for Development
+ 			and Resources in Intensive Scientific computing.
+ 		BSD-OS uses .0 for man page extensions.  From Jeff Polk
+ 			of BSDI.
+ 		DomainOS detection for Build.  Also, version 10.4 and later
+ 			ship a unistd.h.  Fixes from Takanobu Ishimura of
+ 			PICT Inc.
+ 		NeXT 4.x uses /usr/lib/man/cat for its man pages.  From
+ 			J. P. McCann of E I A.
+ 		SCO 4.X and 5.X include NDBM support.  From Vlado Potisk
+ 			of TEMPEST, Ltd.
+ 	CONFIG: Do not pass spoofed PTR results through resolver for
+ 		qualification.  Problem noted by Michiel Boland of
+ 		Digital Valley Internet Professionals; fix from
+ 		Kari Hurtta of the Finnish Meteorological Institute.
+ 	CONFIG: Do not try to resolve non-DNS hostnames such as UUCP,
+ 		BITNET, and DECNET addresses for resolvable senders.
+ 		Problem noted by Alexander Litvin of Lucky Net Ltd.
+ 	CONFIG: Work around Sun's broken configuration which sends bounce
+ 		messages as coming from @@hostname instead of <>.  LMTP
+ 		would not accept @@hostname.
+ 	OP.ME: Corrections to complex sendmail startup script from Rick
+ 		Troxel of the National Institutes of Health.
+ 	RMAIL: Do not install rmail by default, require 'make force-install'
+ 		as this rmail isn't the same as others.  Suggested by
+ 		Kari Hurtta of the Finnish Meteorological Institute.
+ 
  8.9.0/8.9.0	98/05/19
  	SECURITY: To prevent users from reading files not normally
  		readable, sendmail will no longer open forward, :include:,
***************
*** 300,306 ****
  			disk space.  Patch from Randall S. Winchester of
  			the University of Maryland.
  		HP-UX 11.x from Richard Allen of Opin Kerfi HF and
! 			Regis McEwen of Progress Software Corproration.
  		IRIX 64 bit fixes from Kari Hurtta of the Finnish
  			Meteorological Institute.
  		IRIX 6.2 configuration fix for mail.local from Michael Kyle
--- 383,389 ----
  			disk space.  Patch from Randall S. Winchester of
  			the University of Maryland.
  		HP-UX 11.x from Richard Allen of Opin Kerfi HF and
! 			Regis McEwen of Progress Software Corporation.
  		IRIX 64 bit fixes from Kari Hurtta of the Finnish
  			Meteorological Institute.
  		IRIX 6.2 configuration fix for mail.local from Michael Kyle
***************
*** 1425,1431 ****
  	If the F=l flag was set on an SMTP mailer to indicate that it is
  		actually local delivery, and NOTIFY=SUCCESS is specified in
  		the envelope, and the receiving SMTP server speaks DSN, then
! 		the DSN would be both generated locally and propogated to the
  		other end.
  	The U= mailer field didn't correctly extract the group id if the
  		user id was numeric.  Problem noted by Kenneth Herron of
--- 1508,1514 ----
  	If the F=l flag was set on an SMTP mailer to indicate that it is
  		actually local delivery, and NOTIFY=SUCCESS is specified in
  		the envelope, and the receiving SMTP server speaks DSN, then
! 		the DSN would be both generated locally and propagated to the
  		other end.
  	The U= mailer field didn't correctly extract the group id if the
  		user id was numeric.  Problem noted by Kenneth Herron of
***************
*** 1435,1441 ****
  		not occur if it exceeded the maximum _output_ size.  Problem
  		reported by Kyle Jones of UUNET.
  	PORTABILITY FIXES:
! 		AIX4: 4.1 does't have a working setreuid(2); change the
  			AIX4 defines to use seteuid(2) instead, which
  			works on 4.1 as well as 4.2.  Problem noted by
  			Håkan Lindholm of interAF, Sweden.
--- 1518,1524 ----
  		not occur if it exceeded the maximum _output_ size.  Problem
  		reported by Kyle Jones of UUNET.
  	PORTABILITY FIXES:
! 		AIX4: 4.1 doesn't have a working setreuid(2); change the
  			AIX4 defines to use seteuid(2) instead, which
  			works on 4.1 as well as 4.2.  Problem noted by
  			Håkan Lindholm of interAF, Sweden.
***************
*** 1485,1491 ****
  		Solaris: Don't use the system getusershell(3); it can
  			apparently corrupt the heap in some circumstances.
  			Problem found by Ken Pizzini of Spry, Inc.
! 	OP.ME: document several mailer flags that were accidently omitted
  		from this document.  These flags were F=d, F=j, F=R, and F=9.
  	CONFIG: no changes.
  
--- 1568,1574 ----
  		Solaris: Don't use the system getusershell(3); it can
  			apparently corrupt the heap in some circumstances.
  			Problem found by Ken Pizzini of Spry, Inc.
! 	OP.ME: document several mailer flags that were accidentally omitted
  		from this document.  These flags were F=d, F=j, F=R, and F=9.
  	CONFIG: no changes.
  
***************
*** 1582,1588 ****
  	Log open file descriptors for the "cannot dup" messages in deliver();
  		this is an attempt to track down a bug that one person seems
  		to be having (it may be a Solaris bug!).
! 	DSN NOTIFY parameters were not properly propogated across queue runs;
  		this caused the NOTIFY info to sometimes be lost.  Problem
  		pointed out by Claus Assmann of the
  		Christian-Albrechts-University of Kiel.
--- 1665,1671 ----
  	Log open file descriptors for the "cannot dup" messages in deliver();
  		this is an attempt to track down a bug that one person seems
  		to be having (it may be a Solaris bug!).
! 	DSN NOTIFY parameters were not properly propagated across queue runs;
  		this caused the NOTIFY info to sometimes be lost.  Problem
  		pointed out by Claus Assmann of the
  		Christian-Albrechts-University of Kiel.
***************
*** 1723,1729 ****
  		This could cause mail to addresses such as [foo.com] to bounce
  		or get dropped.  Problem noted by Christophe Wolfhugel of the
  		Pasteur Institute.
! 	DSNs were inconsistent if a failure occured during the DATA phase
  		rather than the RCPT phase: the Action: would be correct, but
  		the detailed status information would be wrong.  Problem noted
  		by Bob Snyder of General Electric Company.
--- 1806,1812 ----
  		This could cause mail to addresses such as [foo.com] to bounce
  		or get dropped.  Problem noted by Christophe Wolfhugel of the
  		Pasteur Institute.
! 	DSNs were inconsistent if a failure occurred during the DATA phase
  		rather than the RCPT phase: the Action: would be correct, but
  		the detailed status information would be wrong.  Problem noted
  		by Bob Snyder of General Electric Company.
***************
*** 1963,1969 ****
  		be set to be lower than Timeout.connect on the principle that
  		the mail should go through quickly to responsive hosts; less
  		responsive hosts get to wait for the next queue run.
! 	Fix a problem on Solaris that occassionally causes programs
  		(such as vacation) to hang with their standard input connected
  		to a UDP port.  It also created some signal handling problems.
  		The problems turned out to be an interaction between vfork(2)
--- 2046,2052 ----
  		be set to be lower than Timeout.connect on the principle that
  		the mail should go through quickly to responsive hosts; less
  		responsive hosts get to wait for the next queue run.
! 	Fix a problem on Solaris that occasionally causes programs
  		(such as vacation) to hang with their standard input connected
  		to a UDP port.  It also created some signal handling problems.
  		The problems turned out to be an interaction between vfork(2)
***************
*** 2235,2246 ****
  	Completely delete the Bcc: header if and only if there are other
  		valid recipient headers (To:, Cc: or Apparently-To:, the
  		last being a historic botch, of course).  If Bcc: is the
! 		only recipient header in the message, it's value is tossed,
  		but the header name is kept.  The old behaviour (always keep
  		the header name and toss the value) allowed primary recipients
  		to see that a Bcc: went to _someone_.
  	Include queue id on ``Authentication-Warning: <host>: <user> set
! 		sender to <addresss> using -f'' syslog messages.  Suggested
  		by Kari Hurtta.
  	If a sequence or switch map lookup entry gets a tempfail but then
  		continues on to another map type, but the name is not found,
--- 2318,2329 ----
  	Completely delete the Bcc: header if and only if there are other
  		valid recipient headers (To:, Cc: or Apparently-To:, the
  		last being a historic botch, of course).  If Bcc: is the
! 		only recipient header in the message, its value is tossed,
  		but the header name is kept.  The old behaviour (always keep
  		the header name and toss the value) allowed primary recipients
  		to see that a Bcc: went to _someone_.
  	Include queue id on ``Authentication-Warning: <host>: <user> set
! 		sender to <address> using -f'' syslog messages.  Suggested
  		by Kari Hurtta.
  	If a sequence or switch map lookup entry gets a tempfail but then
  		continues on to another map type, but the name is not found,
***************
*** 2274,2280 ****
  		is not set, since this is required to get the actual DSNs
  		created.  Problem pointed out by John Gardiner Myers of CMU.
  	Log permission problems that cause .forward and :include: files to
! 		be untrusted or ignored on log level 12 and higher.  Suggestted
  		by Randy Martin of Clemson University.
  	Allow user ids in U= clauses of M lines to have hyphens and
  		underscores.
--- 2357,2363 ----
  		is not set, since this is required to get the actual DSNs
  		created.  Problem pointed out by John Gardiner Myers of CMU.
  	Log permission problems that cause .forward and :include: files to
! 		be untrusted or ignored on log level 12 and higher.  Suggested
  		by Randy Martin of Clemson University.
  	Allow user ids in U= clauses of M lines to have hyphens and
  		underscores.
***************
*** 2301,2307 ****
  		Technological University.
  	When converting a message to Quoted-Printable, prevent any lines with
  		dots alone on a line by themselves.  This is because of the
! 		preponderence of broken mailers that still get this wrong.
  		Code contributed by Per Hedeland of Ericsson.
  	Fix F{macro}/file construct -- it previously did nothing.  Pointed
  		out by Bjart Kvarme of USIT/UiO (Norway).
--- 2384,2390 ----
  		Technological University.
  	When converting a message to Quoted-Printable, prevent any lines with
  		dots alone on a line by themselves.  This is because of the
! 		preponderance of broken mailers that still get this wrong.
  		Code contributed by Per Hedeland of Ericsson.
  	Fix F{macro}/file construct -- it previously did nothing.  Pointed
  		out by Bjart Kvarme of USIT/UiO (Norway).
***************
*** 2335,2341 ****
  	Extensive cleanups to map open code to handle a locking race condition
  		in ndbm, hash, and btree format database files on some (most
  		non-4.4-BSD based) OS architectures.  This should solve the
! 		occassional "user unknown" problem during alias rebuilds that
  		has plagued me for quite some time.  Based on a patch from
  		Thomas Dwyer III of Michigan Technological University.
  	PORTABILITY FIXES:
--- 2418,2424 ----
  	Extensive cleanups to map open code to handle a locking race condition
  		in ndbm, hash, and btree format database files on some (most
  		non-4.4-BSD based) OS architectures.  This should solve the
! 		occasional "user unknown" problem during alias rebuilds that
  		has plagued me for quite some time.  Based on a patch from
  		Thomas Dwyer III of Michigan Technological University.
  	PORTABILITY FIXES:
***************
*** 2479,2485 ****
  	If you have a name with a trailing dot, and you try looking it
  		up using gethostbyname without the dot (for /etc/hosts
  		compatibility), be sure to turn off RES_DEFNAMES and
! 		RES_DNSRCH to avoid finding the wrong name accidently.
  		Problem noted by Charles Amos of the University of
  		Maryland.
  	Don't do timeouts in collect if you are not running SMTP.
--- 2562,2568 ----
  	If you have a name with a trailing dot, and you try looking it
  		up using gethostbyname without the dot (for /etc/hosts
  		compatibility), be sure to turn off RES_DEFNAMES and
! 		RES_DNSRCH to avoid finding the wrong name accidentally.
  		Problem noted by Charles Amos of the University of
  		Maryland.
  	Don't do timeouts in collect if you are not running SMTP.
***************
*** 2746,2752 ****
  		contributed by Roy Mongiovi of Georgia Tech (my main
  		contribution was to make it configurable).
  	Save i-number of df file in qf file to simplify rebuilding of queue
! 		after disasterous disk crash.  Suggested by Kyle Jones of
  		UUNET; closely based on code from KJS DECWRL code written
  		by Paul Vixie.  NOTA BENE: The qf files produced by 8.7
  		are NOT back compatible with 8.6 -- that is, you can convert
--- 2829,2835 ----
  		contributed by Roy Mongiovi of Georgia Tech (my main
  		contribution was to make it configurable).
  	Save i-number of df file in qf file to simplify rebuilding of queue
! 		after disastrous disk crash.  Suggested by Kyle Jones of
  		UUNET; closely based on code from KJS DECWRL code written
  		by Paul Vixie.  NOTA BENE: The qf files produced by 8.7
  		are NOT back compatible with 8.6 -- that is, you can convert
***************
*** 3180,3187 ****
  	Probe the network interfaces to find alternate names for this
  		host.  Requires the SIOCGIFCONF ioctl call.  Code
  		contributed by SunSoft.
! 	Add "E" configuration line to set or propogate environment
! 		variables into children.  "E<envar>" will propogate
  		the named variable from the environment when sendmail
  		was invoked into any children it calls; "E<envar>=<value>"
  		sets the named variable to the indicated value.  Any
--- 3263,3270 ----
  	Probe the network interfaces to find alternate names for this
  		host.  Requires the SIOCGIFCONF ioctl call.  Code
  		contributed by SunSoft.
! 	Add "E" configuration line to set or propagate environment
! 		variables into children.  "E<envar>" will propagate
  		the named variable from the environment when sendmail
  		was invoked into any children it calls; "E<envar>=<value>"
  		sets the named variable to the indicated value.  Any
***************
*** 3359,3370 ****
  			Rochester Medical Center.
  		Altos System V (``the first UNIX/XENIX merge the Altos
  			did for their Series 1000 & Series 2000 line;
! 			their merged code was licenced back to AT&T and
  			Microsoft and became System V release 3.2'') from
  			Tim Rice <timr@crl.com>.
  		OSF/1 running on Intel Paragon from Jeff A. Earickson
  			<jeff@ssd.intel.com> of Intel Scalable Systems
! 			Divison.
  		Amdahl UTS System V 2.1.5 (SVr3-based) from Janet Jackson
  			<janet@dialix.oz.au>.
  		System V Release 4 (statvfs semantic fix) from Alain
--- 3442,3453 ----
  			Rochester Medical Center.
  		Altos System V (``the first UNIX/XENIX merge the Altos
  			did for their Series 1000 & Series 2000 line;
! 			their merged code was licensed back to AT&T and
  			Microsoft and became System V release 3.2'') from
  			Tim Rice <timr@crl.com>.
  		OSF/1 running on Intel Paragon from Jeff A. Earickson
  			<jeff@ssd.intel.com> of Intel Scalable Systems
! 			Division.
  		Amdahl UTS System V 2.1.5 (SVr3-based) from Janet Jackson
  			<janet@dialix.oz.au>.
  		System V Release 4 (statvfs semantic fix) from Alain
***************
*** 3517,3523 ****
  		properly deal with ``group: addr1, ... addrN;'' syntax.
  	CONFIG: Require OSTYPE macro (the defaults really don't apply to
  		any real systems any more) and tweak the DOMAIN macro
! 		so that it is less likely that users will accidently use
  		the Berkeley defaults.  Also, create some generic files
  		that really can be used in the real world.
  	CONFIG: Add new configuration macros to set character sets for
--- 3600,3606 ----
  		properly deal with ``group: addr1, ... addrN;'' syntax.
  	CONFIG: Require OSTYPE macro (the defaults really don't apply to
  		any real systems any more) and tweak the DOMAIN macro
! 		so that it is less likely that users will accidentally use
  		the Berkeley defaults.  Also, create some generic files
  		that really can be used in the real world.
  	CONFIG: Add new configuration macros to set character sets for
***************
*** 3732,3738 ****
  		because it was passed as a printf-style format string.
  		In some cases this could cause core dumps.
  	Avoid possible buffer overrun in returntosender() if error
! 		message is quite ling.  From Fletcher Mattox of the
  		University of Texas.
  	Fix a problem that would silently drop "too many hops" error
  		messages if and only if you were sending to an alias.
--- 3815,3821 ----
  		because it was passed as a printf-style format string.
  		In some cases this could cause core dumps.
  	Avoid possible buffer overrun in returntosender() if error
! 		message is quite long.  From Fletcher Mattox of the
  		University of Texas.
  	Fix a problem that would silently drop "too many hops" error
  		messages if and only if you were sending to an alias.
***************
*** 4107,4113 ****
  	DOC: Clarify $@ and $: in the Install & Op Guide.  From Kimmo
  		Suominen.
  	Portability fixes:
! 		Unicos from David L. Kensiski of Sterling Sofware.
  		DomainOS from Don Lewis of Silicon Systems.
  		GNU m4 1.0.3 from Karst Koymans of Utrecht University.
  		Convex from Kimmo Suominen <kim@tac.nyc.ny.us>.
--- 4190,4196 ----
  	DOC: Clarify $@ and $: in the Install & Op Guide.  From Kimmo
  		Suominen.
  	Portability fixes:
! 		Unicos from David L. Kensiski of Sterling Software.
  		DomainOS from Don Lewis of Silicon Systems.
  		GNU m4 1.0.3 from Karst Koymans of Utrecht University.
  		Convex from Kimmo Suominen <kim@tac.nyc.ny.us>.
***************
*** 4158,4165 ****
  		the assumption that the alias file is well controlled.
  	Security fix: root was not treated suspiciously enough when
  		looking into subdirectories.  This would potentially
! 		allow a cracker to examine files that were publically
! 		readable but in a non-publically searchable directory.
  	Fix a problem that causes an error on QUIT on a cached
  		connection to create problems on the current job.
  		These are typically unrelated, so errors occur in
--- 4241,4248 ----
  		the assumption that the alias file is well controlled.
  	Security fix: root was not treated suspiciously enough when
  		looking into subdirectories.  This would potentially
! 		allow a cracker to examine files that were publicly
! 		readable but in a non-publicly searchable directory.
  	Fix a problem that causes an error on QUIT on a cached
  		connection to create problems on the current job.
  		These are typically unrelated, so errors occur in
***************
*** 4514,4520 ****
  	Portability fixes for A/UX and Encore UMAX V.
  	Fix error message handling -- if you had a name server down
  		causing an error during parsing, that message was never
! 		propogated to the queue file.
  
  8.6/8.6		93/10/05
  	Configuration cleanup: make it easier to undo IDENTPROTO in
--- 4597,4603 ----
  	Portability fixes for A/UX and Encore UMAX V.
  	Fix error message handling -- if you had a name server down
  		causing an error during parsing, that message was never
! 		propagated to the queue file.
  
  8.6/8.6		93/10/05
  	Configuration cleanup: make it easier to undo IDENTPROTO in
***************
*** 5007,5019 ****
  	If the name server timed out over several days, no "timed out"
  		message would ever be sent back.  The timeout code
  		has been moved from markfailure() to dropenvelope()
! 		so that all such failures should be diagnosted.  Pointed
  		out by Christophe Wolfhugel and others.
  	Relax safefile() constraints: directories in an include or
  		forward path must be readable by self if the controlling
  		user owns the entry, readable by all otherwise (e.g.,
  		when reading your .forward file, you have to own and
! 		have X permssion in it; everyone needs X permission in
  		the root and directories leading up to your home);
  		include files must be readable by anyone, but need not
  		be owned by you.
--- 5090,5102 ----
  	If the name server timed out over several days, no "timed out"
  		message would ever be sent back.  The timeout code
  		has been moved from markfailure() to dropenvelope()
! 		so that all such failures should be diagnosed.  Pointed
  		out by Christophe Wolfhugel and others.
  	Relax safefile() constraints: directories in an include or
  		forward path must be readable by self if the controlling
  		user owns the entry, readable by all otherwise (e.g.,
  		when reading your .forward file, you have to own and
! 		have X permission in it; everyone needs X permission in
  		the root and directories leading up to your home);
  		include files must be readable by anyone, but need not
  		be owned by you.
***************
*** 5047,5053 ****
  		log.  For example, if you lost a connection, don't
  		bother reporting that fact on the connection you lost.
  	Add some "extended debugging" flags to try to track down
! 		why we get occassional problems with file descriptor
  		one being closed when execing a mailer; it seems to
  		only happen when there has been another error in the
  		same transaction.  This requires XDEBUG, defined
--- 5130,5136 ----
  		log.  For example, if you lost a connection, don't
  		bother reporting that fact on the connection you lost.
  	Add some "extended debugging" flags to try to track down
! 		why we get occasional problems with file descriptor
  		one being closed when execing a mailer; it seems to
  		only happen when there has been another error in the
  		same transaction.  This requires XDEBUG, defined
***************
*** 5166,5172 ****
  		the first database listed.
  	Rearrange doc subdirectory for 4.4BSD release tape.
  	CONFIG: put $r into the Received line.  This was an oversight.
! 	CONFIG: fix typo (call to ruleset 99 should have been rulset 90).
  	CONFIG: move "auxiliary" subroutines to be in ruleset 90-99
  		range -- in the long run, single digit rulesets may
  		become reserved for builtin use by sendmail.
--- 5249,5255 ----
  		the first database listed.
  	Rearrange doc subdirectory for 4.4BSD release tape.
  	CONFIG: put $r into the Received line.  This was an oversight.
! 	CONFIG: fix typo (call to ruleset 99 should have been ruleset 90).
  	CONFIG: move "auxiliary" subroutines to be in ruleset 90-99
  		range -- in the long run, single digit rulesets may
  		become reserved for builtin use by sendmail.
***************
*** 5575,5581 ****
  		Eric Wassenaar.
  	Always respond "quickly" to RCPT command; do alias expansion and
  		the like later.  This also means that mail for lists that
! 		have errors will be acccepted, and an error sent back
  		later.  This is done by instantiating the queue file
  		and then immediately running and requeueing it.
  
--- 5658,5664 ----
  		Eric Wassenaar.
  	Always respond "quickly" to RCPT command; do alias expansion and
  		the like later.  This also means that mail for lists that
! 		have errors will be accepted, and an error sent back
  		later.  This is done by instantiating the queue file
  		and then immediately running and requeueing it.
  
diff -cr sendmail-8.9.0/cf/README sendmail-8.9.1/cf/README
*** sendmail-8.9.0/cf/README	Tue May 19 16:45:03 1998
--- sendmail-8.9.1/cf/README	Tue Jun 30 14:16:35 1998
***************
*** 4,10 ****
  
  		Eric Allman <eric@Sendmail.ORG>
  
! 		@(#)README	8.171 (Berkeley) 5/19/98
  
  
  This document describes the sendmail configuration files being used
--- 4,10 ----
  
  		Eric Allman <eric@Sendmail.ORG>
  
! 		@(#)README	8.174 (Berkeley) 6/30/98
  
  
  This document describes the sendmail configuration files being used
***************
*** 46,52 ****
  sites), uucpproto.mc (for UUCP-only sites), and clientproto.mc (for
  clusters of clients using a single mail host).  Others are versions
  that we use at Berkeley, although not all are in current use.  For
! example, ucbarpa has gone away, but I've left ucbarpa.mc in because
  it demonstrates some interesting techniques.
  
  I'm not pretending that this README describes everything that these
--- 46,52 ----
  sites), uucpproto.mc (for UUCP-only sites), and clientproto.mc (for
  clusters of clients using a single mail host).  Others are versions
  that we use at Berkeley, although not all are in current use.  For
! example, ucbvax has gone away, but I've left ucbvax.mc in because
  it demonstrates some interesting techniques.
  
  I'm not pretending that this README describes everything that these
***************
*** 57,63 ****
  ***  BE SURE YOU CUSTOMIZE THESE FILES!  They have some		***
  ***  Berkeley-specific assumptions built in, such as the name	***
  ***  of our UUCP-relay.  You'll want to create your own domain	***
! ***  description, and use that in place of domain/Berkeley.m4.	***
  *******************************************************************
  
  
--- 57,64 ----
  ***  BE SURE YOU CUSTOMIZE THESE FILES!  They have some		***
  ***  Berkeley-specific assumptions built in, such as the name	***
  ***  of our UUCP-relay.  You'll want to create your own domain	***
! ***  description, and use that in place of			***
! ***  domain/Berkeley.EDU.m4.					***
  *******************************************************************
  
  
***************
*** 158,164 ****
  Sendmail uses the M4 macro processor to ``compile'' the configuration
  files.  The most important thing to know is that M4 is stream-based,
  that is, it doesn't understand about lines.  For this reason, in some
! places you may see the word ``dnl'', which standards for ``delete
  through newline''; essentially, it deletes all characters starting
  at the ``dnl'' up to and including the next newline character.  In
  most cases sendmail uses this only to avoid lots of unnecessary
--- 159,165 ----
  Sendmail uses the M4 macro processor to ``compile'' the configuration
  files.  The most important thing to know is that M4 is stream-based,
  that is, it doesn't understand about lines.  For this reason, in some
! places you may see the word ``dnl'', which stands for ``delete
  through newline''; essentially, it deletes all characters starting
  at the ``dnl'' up to and including the next newline character.  In
  most cases sendmail uses this only to avoid lots of unnecessary
***************
*** 513,519 ****
  		names for this host.  This might be used if you were
  		on a host that MXed for a dynamic set of other
  		hosts.  If the set is static, just including the line
! 		"Cw<name1> <name2> ..." is probably superior.
  		The actual filename can be overridden by redefining
  		confCW_FILE.
  
--- 514,521 ----
  		names for this host.  This might be used if you were
  		on a host that MXed for a dynamic set of other
  		hosts.  If the set is static, just including the line
! 		"Cw<name1> <name2> ..." (where the names are fully
! 		qualified domain names) is probably superior.
  		The actual filename can be overridden by redefining
  		confCW_FILE.
  
***************
*** 1274,1280 ****
  (or any host within the cyberspammer.com domain), and any host on the
  206.117.147.* network.
  
! The value part of thee map can contain:
  
  	OK		accept mail even if other rules in the
  			running ruleset would reject it.
--- 1276,1282 ----
  (or any host within the cyberspammer.com domain), and any host on the
  206.117.147.* network.
  
! The value part of the map can contain:
  
  	OK		accept mail even if other rules in the
  			running ruleset would reject it.
***************
*** 2034,2040 ****
  					compromise system security and should
  					not be used unless absolutely
  					necessary.
- confSMTP_MAILER		-		[esmtp] The mailer name used when
  confREJECT_MSG		-		[550 Access denied] The message
  					given if the access database contains
  					REJECT in the value portion.
--- 2036,2041 ----
